Summary: Hangul Terminal for X Window System.
Name:		hanterm-xf
Version:	p19
Release:	15
Copyright:	Distributable
Url:		http://www.kr.freebsd.org/~hwang/hanterm/

Source:		%{name}-%{version}.tar.gz
Source1:	Hanterm.ad.en
Source2:	Hanterm.ad.ko
Source3:	mini-hanterm.xpm
Source4:	hanterm.xpm
Source5:	hanterm.png
Source6:	hanterm.desktop
Source7:	hanterm.kdelnk
Source8:	hanterm-wheel.diff
Source9:	hanterm-xf-icons.tar.bz2
Patch0:		%{name}-p15-font.patch
Patch1:		hanterm-xf-charproc.patch

Group: User Interface/X
Requires:	XFree86,ttfonts-ko
Obsoletes:	hanterm, hanterm-xf86
BuildRoot:	/var/tmp/%{name}-%{version}
BuildPrereq:	Xaw3d-devel,libtermcap-devel

%changelog
* Mon Sep  3 2001 Leon Ho <llch@redhat.com>
- Fixed font cannot be loaded

* Wed Aug  9 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update resource files to use baekmuk font

* Wed Aug  1 2001 Yukihiro Nakai <ynakai@redhat.com>
- Font fix

* Mon Jul 23 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix BuildPrereq (#49499)

* Mon Jul 17 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix %%files to stop the build error
- Remove SID

* Thu Jul 12 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update resources to use daewoo font (#48838)

* Fri Jun 29 2001 Karsten Hopp <karsten@redhat.de>
- add defattr

* Tue Jun 26 2001 Yukihiro Nakai <ynakai@redhat.com>
- Build against RHL 7.2

* Thu May 24 2001 David Joo <djoo@redhat.com>
- Built against Red Hat 7.1

* Mon Oct  9 2000 Jaegul Jang <jaeguly@dreamwiz.com>
- change --with-x(origial --with-utempter)
- wheel mouse enable

* Tue Aug 29 2000 Jaegul Jang <jaeguly@dreamwiz.com>
- change default font
- rebuild in rhl-70beta

* Mon May 29 2000 Jaegul Jang <jjack@linuxone.co.kr>
- fix menu font
- change color values

* Sun May  7 2000 Jaegul Jang <jjack@linuxone.co.kr>
- rebuild hanterm-xf-p18 version

* Fri Feb 18 2000 Jaegul Jang <jjack@linuxone.co.kr>
- setting standard colors for 8bit X-window

* Thu Feb 10 2000 HwaSeop Kum <mungge@lycos.co.kr>
- import ManYong's patch openpty

* Fri Oct  8 1999 Hwa-Seop, Kum <mungge@alzzalinux.com>
- use hanterm-xf-p17 
- imparte patches 

* Sun Jun 20 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
[3.3.1_p16-4]
- added nosuid patch (is have pty patch)

* Sun Jun 20 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
[3.3.1_p16-3]
- opsoletes font patch, use X resource file
- update hanterm icon

* Thu Jun  3 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
- GNOME Desktop support

* Tue Jun  1 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
- support utmp98

* Mon Feb 22 1999 Byeong-Chan Kim <redhands@linux.sarang.net>
- updated to p16

* Sun Oct 25 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- added hangul, hanja key map

* Thu Aug  6 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- rename hanterm-xf86 -> hanterm-xf
- updated to p15

* Mon Jun 15 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- change default font to iyagi

* Sat May 30 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- spec file updated

* Thu Apr 30 1998 Byeong-Chan Kim <redhands@linux.sarang.net>
- updated pre 13
- some edited add-defaults file

* Sat Dec 27 1997 Byeong-Chan Kim <redhands@linux.sarang.net>
- built again glibc
- some edited Hanterm add-defaults file

%description
Hangul Terminal for the X Window System, based on the xterm in
XFree86.

%prep
%setup -n %{name}-%{version} -a 9
%patch0  -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --with-Xaw3d --with-utempter
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/{app-defaults,ko/app-defaults}
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig

install -c -s -m755 hanterm $RPM_BUILD_ROOT/usr/X11R6/bin
install -c -m444 %{SOURCE1} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Hanterm
install -c -m444 %{SOURCE2} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko/app-defaults/Hanterm
install -c -m444 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/icons/mini/
install -c -m444 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/icons

#Enable Wheel Mouse
find $RPM_BUILD_ROOT/usr/X11R6/lib/X11 -name Hanterm -exec patch {} %{SOURCE8} \;

# WM support
cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/hanterm << EOF
hanterm name "Hanterm"
hanterm description "Hangul X Terminal"
hanterm icon hanterm.xpm
hanterm mini-icon mini-hanterm.xpm
hanterm exec "hanterm &"
hanterm group Utilities/Shells
EOF

# GNOME support
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps
install -c -m444 %{SOURCE5} $RPM_BUILD_ROOT/usr/share/pixmaps/
install -c -m644 %{SOURCE6} $RPM_BUILD_ROOT/usr/share/gnome/apps/

# KDE support
#mkdir -p $RPM_BUILD_ROOT/usr/share/applnk
#install -c -m644 %{SOURCE7} $RPM_BUILD_ROOT/usr/share/applnk/

# install hanterm.desktop for KDE and GNOME(?)
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applnk/System
install -m444 %{SOURCE6} $RPM_BUILD_ROOT/%{_datadir}/applnk/System/

# install icons
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -c -m 644 $RPM_SOURCE_DIR/mini-hanterm.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/{hi,lo}color/{16x16,32x32}/apps
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps
install -m444 hi16-app-hanterm.png \
        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/hanterm.png
install -m444 hi32-app-hanterm.png \
        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/hanterm.png
install -m444 hi48-app-hanterm.png \
        $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/hanterm.png
install -m444 lo16-app-hanterm.png \
        $RPM_BUILD_ROOT/%{_datadir}/icons/locolor/16x16/apps/hanterm.png
install -m444 lo32-app-hanterm.png \
        $RPM_BUILD_ROOT/%{_datadir}/icons/locolor/32x32/apps/hanterm.png

# strip binaries
strip `file $RPM_BUILD_ROOT/usr/X11R6/bin/* | awk -F':' '/executable/ { print $1 }'`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README  hanterm-doc/*
/usr/X11R6/bin/hanterm
%config /usr/X11R6/lib/X11/app-defaults/Hanterm
%config /usr/X11R6/lib/X11/ko/app-defaults/Hanterm
%{_datadir}/applnk/System/hanterm.desktop
%{_datadir}/icons/hicolor/16x16/apps/hanterm.png
